Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataArrayCollectionIterator Class Reference

`#include <vtkDataArrayCollectionIterator.h>`

Inheritance diagram for vtkDataArrayCollectionIterator:

[legend]
Collaboration diagram for vtkDataArrayCollectionIterator:

[legend]
List of all members.

## Detailed Description

iterator through a vtkDataArrayCollection.

Date:
  2002/12/26 18:24:21

Revision:
  1.2

vtkDataArrayCollectionIterator provides an implementation of vtkCollectionIterator which allows the items to be retrieved with the proper subclass pointer type for vtkDataArrayCollection.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (95%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkDataArrayCollectionIterator.cxx)`
  - .`h` (`/Common/vtkDataArrayCollectionIterator.h)`

Definition at line 45 of file vtkDataArrayCollectionIterator.h.

## Public Types
typedef vtkCollectionIterator | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkDataArray * | GetDataArray ()
virtual void | SetCollection (vtkCollection *)
void | SetCollection (vtkDataArrayCollection *)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDataArrayCollectionIterator * | SafeDownCast (vtkObject *o)
vtkDataArrayCollectionIterator * | New ()
## Protected Methods
| vtkDataArrayCollectionIterator ()
| ~vtkDataArrayCollectionIterator ()

## Member Typedef Documentation

typedef vtkCollectionIterator vtkDataArrayCollectionIterator::Superclass

| Reimplemented from vtkCollectionIterator. Definition at line 48 of file vtkDataArrayCollectionIterator.h.

## Constructor & Destructor Documentation

vtkDataArrayCollectionIterator::vtkDataArrayCollectionIterator | ( |  | ) | `[protected]`

vtkDataArrayCollectionIterator::~vtkDataArrayCollectionIterator | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkDataArrayCollectionIterator::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollectionIterator.

int vtkDataArrayCollectionIterator::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollectionIterator.

virtual int vtkDataArrayCollectionIterator::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollectionIterator.

vtkDataArrayCollectionIterator* vtkDataArrayCollectionIterator::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollectionIterator.

void vtkDataArrayCollectionIterator::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCollectionIterator.

vtkDataArrayCollectionIterator* vtkDataArrayCollectionIterator::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkCollectionIterator.

virtual void vtkDataArrayCollectionIterator::SetCollection | ( | vtkCollection * |  | ) | `[virtual]`

| Set the collection over which to iterate. Reimplemented from vtkCollectionIterator.

void vtkDataArrayCollectionIterator::SetCollection | ( | vtkDataArrayCollection * |  | ) |

| Set the collection over which to iterate.

vtkDataArray* vtkDataArrayCollectionIterator::GetDataArray | ( |  | ) |

| Get the item at the current iterator position. Valid only when IsDoneWithTraversal() returns 1.

The documentation for this class was generated from the following file:

- Common/vtkDataArrayCollectionIterator.h